## cvsobel cvsobel |

## Properties

gint | aperture-size | Read / Write
gint | x-order | Read / Write
gint | y-order | Read / Write
gboolean | mask | Read / Write

## Types and Values

struct | GstCvSobel

## Description

Applies the cvSobel OpenCV function to the image.

### Example launch line

    1
    gst-launch-1.0 videotestsrc ! cvsobel ! videoconvert ! autovideosink

## Synopsis

### Element Information

plugin | opencv
author | Thiago Santos<thiago.sousa.santos@collabora.co.uk>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstCvSobel

    struct GstCvSobel {
      GstOpencvVideoFilter element;

      gint x_order;
      gint y_order;
      gint aperture_size;
      gboolean mask;

      IplImage *cvGray;
      IplImage *cvSobel;
    };

## Property Details

### The `“aperture-size”` property

      “aperture-size”            gint

Size of the extended Sobel Kernel (1, 3, 5 or 7).

Flags: Read / Write

Allowed values: [1,7]

Default value: 3

### The `“x-order”` property

      “x-order”                  gint

Order of the derivative x.

Flags: Read / Write

Allowed values: >= G_MAXULONG

Default value: 1

### The `“y-order”` property

      “y-order”                  gint

Order of the derivative y.

Flags: Read / Write

Allowed values: >= G_MAXULONG

Default value: 0

### The `“mask”` property

      “mask”                     gboolean

Sets whether the detected derivative edges should be used as a mask on the original input or not.

Flags: Read / Write

Default value: TRUE